/****************************************************************
This file is part of LIME.

LIME is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License version 2
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

LIME is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with LIME.  If not, see <http://www.gnu.org/licenses/>.
****************************************************************/
#include UNIX

void process(unsigned int obuf1[restrict SPLIT_BUF_SIZE],
	     const unsigned int buf[restrict BUF_SIZE],
	     unsigned int obuf2[restrict BUF_SIZE-SPLIT_BUF_SIZE])
{
	unsigned int i=0;
	for(; i< SPLIT_BUF_SIZE; i++)
		obuf1[i]=buf[i];
	for(; i< BUF_SIZE; i++)
		obuf2[i-SPLIT_BUF_SIZE]=buf[i];
}
